Loading...
Searching...
No Matches
RootNode< ChildT >::ValueOnIter< RootT > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for RootNode< ChildT >::ValueOnIter< RootT >:

## Public Member Functions

| ValueOnIter ()
| ValueOnIter (RootT *parent)
ValueType | operator* () const
ValueOnIter & | operator++ ()
ValueOnIter | operator++ (int)
| operator bool () const
uint32_t | pos () const
void | next ()
TileT * | tile () const
CoordType | getOrigin () const
CoordType | getCoord () const

## Protected Types

using | DataT = typename match_const<DataType, RootT>::type
using | TileT = typename match_const<Tile, RootT>::type

## Protected Attributes

DataT * | mData
uint32_t | mPos
uint32_t | mSize

## Member Typedef Documentation

## DataT

template<typename ChildT>
template<typename RootT>

using DataT = typename match_const<DataType, RootT>::type

protected inherited

## TileT

template<typename ChildT>
template<typename RootT>

using TileT = typename match_const<Tile, RootT>::type

protected inherited

## Constructor & Destructor Documentation

## ValueOnIter() [1/2]

template<typename ChildT>
template<typename RootT>

ValueOnIter | ( |  | ) |

inline

## ValueOnIter() [2/2]

template<typename ChildT>
template<typename RootT>

ValueOnIter | ( | RootT * | parent | ) |

inline

## Member Function Documentation

## getCoord()

template<typename ChildT>
template<typename RootT>

CoordType getCoord | ( |  | ) | const

inline inherited

## getOrigin()

template<typename ChildT>
template<typename RootT>

CoordType getOrigin | ( |  | ) | const

inline inherited

## next()

template<typename ChildT>
template<typename RootT>

void next | ( |  | ) |

inline inherited

## operator bool()

template<typename ChildT>
template<typename RootT>

operator bool | ( |  | ) | const

inline inherited

## operator*()

template<typename ChildT>
template<typename RootT>

ValueType operator* | ( |  | ) | const

inline

## operator++() [1/2]

template<typename ChildT>
template<typename RootT>

ValueOnIter & operator++ | ( |  | ) |

inline

## operator++() [2/2]

template<typename ChildT>
template<typename RootT>

ValueOnIter operator++ | ( | int |  | ) |

inline

## pos()

template<typename ChildT>
template<typename RootT>

uint32_t pos | ( |  | ) | const

inline inherited

## tile()

template<typename ChildT>
template<typename RootT>

TileT * tile | ( |  | ) | const

inline inherited

## Member Data Documentation

## mData

template<typename ChildT>
template<typename RootT>

DataT* mData

protected inherited

## mPos

template<typename ChildT>
template<typename RootT>

uint32_t mPos

protected inherited

## mSize

template<typename ChildT>
template<typename RootT>

uint32_t mSize

protected inherited